## gdb-arm-none-eabi 1

=== debian/changelog ===
gdb-arm-none-eabi (1) unstable; urgency=low

  * Initial release (Closes: #728387).

 -- Agustin Henze <tin@debian.org>  Mon, 02 Dec 2013 20:31:52 -0300
