=== debian/control ===
Source: gdb-arm-none-eabi
Section: devel
Priority: extra
Maintainer: Agustin Henze <tin@debian.org>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends:
 debhelper (>= 8.0.0),
 gdb-source,
 autotools-dev,
 bzip2,
 lsb-release,
# Other tool deps
 autoconf,
 libtool,
 gettext,
 bison,
 flex | flex-old,
 procps,
 mig [hurd-any],
 help2man,
# TeX[info] deps
 texinfo (>= 4.7-2.2),
 texlive-base,
# Libdev deps
 libexpat1-dev,
 libncurses5-dev,
 libreadline-dev,
 zlib1g-dev,
 libbz2-dev,
 liblzma-dev,
 libkvm-dev [kfreebsd-any],
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/s/gdb/
Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-arm-none-eabi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-arm-none-eabi.git

Package: gdb-arm-none-eabi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gcc-arm-none-eabi
Description: GNU debugger for ARM Cortex-A/R/M processors
 Bare metal GNU debugger for embedded ARM chips using Cortex-M0/M0+/M3/M4,
 Cortex-R4/R5/R7 and Cortex-A* processors. GDB is a source-level debugger,
 capable of breaking programs at any specific line, displaying variable values,
 and determining where errors occurred.
