## gdb-arm-none-eabi 6

=== debian/changelog ===
gdb-arm-none-eabi (6) unstable; urgency=medium

  * Workaround for upstream manpages stripped on the last gdb-source version

 -- Agustin Henze <tin@debian.org>  Wed, 13 Aug 2014 19:25:31 -0300

gdb-arm-none-eabi (5) unstable; urgency=medium

  * Add "Built-Using"" field to avoid FTBFS

 -- Agustin Henze <tin@debian.org>  Wed, 13 Aug 2014 14:57:22 -0300

gdb-arm-none-eabi (4) unstable; urgency=medium

  * Add myself to Uploaders.
  * Enable python support

 -- Thomas Preud'homme <robotux@debian.org>  Sat, 09 Aug 2014 22:51:19 +0800

gdb-arm-none-eabi (3) unstable; urgency=medium

  * Remove empty manuals
  * Fix installman target for arm-none-eabi-run binary

 -- Agustin Henze <tin@debian.org>  Mon, 16 Jun 2014 19:51:15 -0300

gdb-arm-none-eabi (2) unstable; urgency=medium

  * Add bdepend on libisl-dev and libcloog-isl-dev.
  * Bumped Standard-Version to 3.9.5 (no changes required)
  * Do not copy the debian/copyright file from gdb-source anymore

 -- Agustin Henze <tin@debian.org>  Fri, 13 Jun 2014 19:40:33 -0300
