=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: devel
 Priority: extra
 Maintainer: Agustin Henze <tin@debian.org>
-Uploaders: Keith Packard <keithp@keithp.com>
+Uploaders: Keith Packard <keithp@keithp.com>,
+           Thomas Preud'homme <thomas.preud-homme@arm.com>
 Build-Depends:
  debhelper (>= 8.0.0),
  gdb-source,
@@ -18,6 +19,7 @@
  procps,
  mig [hurd-any],
  help2man,
+ python-dev,
 # TeX[info] deps
  texinfo (>= 4.7-2.2),
  texlive-base,
@@ -29,7 +31,9 @@
  libbz2-dev,
  liblzma-dev,
  libkvm-dev [kfreebsd-any],
-Standards-Version: 3.9.4
+ libisl-dev,
+ libcloog-isl-dev,
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/s/gdb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-arm-none-eabi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-arm-none-eabi.git
@@ -37,6 +41,7 @@
 Package: gdb-arm-none-eabi
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${Built-Using}
 Recommends: gcc-arm-none-eabi
 Description: GNU debugger for ARM Cortex-A/R/M processors
  Bare metal GNU debugger for embedded ARM chips using Cortex-M0/M0+/M3/M4,
