## gdb-arm-none-eabi 8~bpo8+1

=== debian/changelog ===
gdb-arm-none-eabi (8~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Agustin Henze <tin@debian.org>  Tue, 07 Jul 2015 17:43:32 -0300

gdb-arm-none-eabi (8) unstable; urgency=medium

  [ Thomas Preud'homme ]
  * New upstream release: 4.9-2014-q4-major

  [ Agustin Henze ]
  * Fix segmentation fault on add-symbol-file command

 -- Agustin Henze <tin@debian.org>  Wed, 10 Jun 2015 12:46:05 -0300

gdb-arm-none-eabi (7) experimental; urgency=medium

  [ Thomas Preud'homme ]
  * New upstream release: 4.8-2014-q3-update.
  * Fix my email.

  [ Agustin Henze ]
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Mon, 01 Dec 2014 10:08:58 -0300
