=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Agustin Henze <tin@debian.org>
 Uploaders: Keith Packard <keithp@keithp.com>,
-           Thomas Preud'homme <thomas.preud-homme@arm.com>
+           Thomas Preud'homme <thomas.preudhomme@arm.com>
 Build-Depends:
  debhelper (>= 8.0.0),
  gdb-source,
@@ -33,7 +33,7 @@
  libkvm-dev [kfreebsd-any],
  libisl-dev,
  libcloog-isl-dev,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gnu.org/s/gdb/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gdb-arm-none-eabi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gdb-arm-none-eabi.git
