=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 src_dir=gdb
 build_dir=build
 
-unpack_stamp=$(stampdir)/unpack
 tar_stamp=$(stampdir)/tar
 
 buildflags=$(shell dpkg-buildflags --export=configure)
@@ -30,31 +29,27 @@
 	--htmldir=\$${prefix}/share/doc/$(package)/html \
 	--pdfdir=\$${prefix}/share/doc/$(package)/pdf \
 	--disable-nls \
-	--with-libexpat \
+	--with-expat \
+	--with-system-readline \
+	--with-system-zlib \
 	--with-python=yes \
 	--with-system-gdbinit=\$${prefix}/lib/arm-none-eabi/lib/gdbinit \
 	--with-gdb-datadir=\$${prefix}/lib/arm-none-eabi/share/gdb \
+	--without-lzma \
+	--without-guile \
+	--without-babeltrace \
 	"--with-pkgversion=$(deb_version)" \
 	$(buildflags)
 
 %:
 	dh $@ -D$(src_dir) -B$(build_dir) --with autotools-dev
 
-$(unpack_stamp): $(tar_stamp)
-	set -ex; \
-		cd gdb; \
-		for patch in ../debian/patches/[0-9]*.patch; do \
-			echo Applying patch "$$patch"; \
-			patch -p1 < "$$patch"; \
-		done
-	touch $@
-
 $(tar_stamp):
 	tar xf $(gdb_dir)/gdb.tar.*
 	mkdir -p $(stampdir)
 	touch $@
 
-override_dh_auto_configure: $(unpack_stamp)
+override_dh_auto_configure: $(tar_stamp)
 	dh_auto_configure -D$(src_dir) -B$(build_dir) -- $(configure_flags)
 
 override_dh_gencontrol:
