## gdb-arm-none-eabi 9build1

=== debian/changelog ===
gdb-arm-none-eabi (9build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:02:01 +0000
